# Class TDirection

Text Direction within a table cell

#### Hierarchy

- XmlComponent
  - TDirection

- Defined in file/table/table-cell/table-cell-components.ts:126

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TDirection(value): TDirection

- #### Parameters

  - ##### value: TextDirection

  #### Returns TDirection

  Overrides XmlComponent.constructor

  - Defined in file/table/table-cell/table-cell-components.ts:127

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc